package cn.ibizlab.core.sample.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.sample.domain.IBIZAPPCTRL;
import cn.ibizlab.core.sample.filter.IBIZAPPCTRLSearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBIZAPPCTRL] 服务对象接口
 */
public interface IIBIZAPPCTRLService extends IService<IBIZAPPCTRL> {

    boolean create(IBIZAPPCTRL et);
    void createBatch(List<IBIZAPPCTRL> list);
    boolean update(IBIZAPPCTRL et);
    void updateBatch(List<IBIZAPPCTRL> list);
    boolean remove(String key);
    void removeBatch(Collection<String> idList);
    IBIZAPPCTRL get(String key);
    IBIZAPPCTRL getDraft(IBIZAPPCTRL et);
    boolean checkKey(IBIZAPPCTRL et);
    boolean save(IBIZAPPCTRL et);
    void saveBatch(List<IBIZAPPCTRL> list);
    Page<IBIZAPPCTRL> searchDefault(IBIZAPPCTRLSearchContext context);
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<IBIZAPPCTRL> getIbizappctrlByIds(List<String> ids);
    List<IBIZAPPCTRL> getIbizappctrlByEntities(List<IBIZAPPCTRL> entities);
}


